<template>
  <div class="row justify-content-center">
    <div class="col-md-6">
      <h1>View</h1>
      <a-form-model
        :model="form"
        :label-col="labelCol"
        :wrapper-col="wrapperCol"
      >
        <a-form-model-item label="Name">
          <a-input v-model="user.name" :disabled="true"/>
        </a-form-model-item>

        <a-form-model-item label="Email">
          <a-input v-model="user.email" :disabled="true"/>
        </a-form-model-item>

        <a-form-model-item label="Phone">
          <a-input v-model="user.phone" :disabled="true"/>
        </a-form-model-item>

        <a-form-model-item label="Birth date">
          <a-date-picker
            v-model="user.birthdate"
            type="date"
            placeholder="Pick a date"
            style="width: 100%"
            :disabled="true"
          />
        </a-form-model-item>

        <a-form-model-item label="Sex">
          <a-radio-group v-model="user.sex" :disabled="true">
            <a-radio value="male"> male </a-radio>
            <a-radio value="female"> female </a-radio>
          </a-radio-group>
        </a-form-model-item>

        <a-form-model-item label="Address" >
          <a-input v-model="user.address" type="textarea" :disabled="true"/>
        </a-form-model-item>

        <a-form-model-item label="Company">
          <a-select
            v-model="user.company"
            placeholder="please select your zone"
            :disabled="true"
          >
            <a-select-option value="Zone one"> Zone one </a-select-option>
            <a-select-option value="Zone two"> Zone two </a-select-option>
          </a-select>
        </a-form-model-item>

        <a-form-model-item :wrapper-col="{ span: 14, offset: 4 }">
          <a-button style="margin-left: 10px" @click="back"> Back </a-button>
        </a-form-model-item>
      </a-form-model>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import AppConfig from "../../utils/config";

export default {
  data() {
    return {
      user: {},
    };
  },
  created() {
    let api = AppConfig.config().api_url;
    let apiURL = api + `/api/user/${this.$route.params.id}`;

    axios
      .get(apiURL)
      .then((res) => {
        this.user = res.data.resultData;
        console.log(res.data);
      })
      .catch((error) => {
        console.log(error);
      });
  },
  methods: {
    back() {
      this.$router.push("/");
    },
  },
};
</script>

<style></style>
